Page MenuHomePhabricator

Add edit links for “identifying information” section and “ShExC” section
Closed, ResolvedPublic

Description

The first links to Special:SetSchemaLabelDescriptionAliases, the second to ?action=edit.

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Normal priority.Feb 6 2019, 10:22 AM
Lucas_Werkmeister_WMDE created this task.
Lucas_Werkmeister_WMDE removed the point value for this task.
Tarrow claimed this task.Feb 20 2019, 10:46 AM
Tarrow moved this task from Backlog to Doing on the Shape Expressions Sprint 2 board.

@Lydia_Pintscher Any thoughts where the edit links should go? Should it be to the right? and read 'edit'?

Change 491728 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseSchema@master] Add Edit Schema Link

https://gerrit.wikimedia.org/r/491728

@Lydia_Pintscher Any thoughts where the edit links should go? Should it be to the right? and read 'edit'?

Yeah let's take the termbox as the guide.

Great! I noticed while I was trying to do this without depending on wikibase that wikibase now uses an old version of the oojs-ui icons.
This is how it looks on wikidata:

This is how it would look with the current icon set:

Which is in line with the image used in other mediawiki bits:

Patch is up for implementing in the wikibase style but let me know if you would rather have the new one.

Addshore added a subscriber: Addshore.EditedFeb 22 2019, 2:31 PM

Related T207190 & T209259?

Yes. Sorry. I should have thought of that. There are patches up to change the one on Items to use the oojs-ui one. So let's go with the new one here as well.

Great! I personally like the new one :).

Shex hikers: new patch up is the "more modern" oojs style one

Tarrow removed Tarrow as the assignee of this task.Feb 25 2019, 8:11 AM

Change 491728 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add Edit Schema Link

https://gerrit.wikimedia.org/r/491728

Change 493634 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseSchema@master] Localize Edit Schema Link

https://gerrit.wikimedia.org/r/493634

hoo claimed this task.Mar 1 2019, 10:44 AM

Change 494853 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/WikibaseSchema@master] Add name badge edit links to schema pages

https://gerrit.wikimedia.org/r/494853

Change 493634 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Localize Edit Schema Link

https://gerrit.wikimedia.org/r/493634

Change 494853 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add name badge edit links to schema pages

https://gerrit.wikimedia.org/r/494853

Looking good and the link leads to the special page. For some reason the special page doesn't keep the schema ID though and I need to fill it in again.

hoo added a comment.Mar 11 2019, 1:03 PM

Looking good and the link leads to the special page. For some reason the special page doesn't keep the schema ID though and I need to fill it in again.

Yeah, that's not yet finished on the special page side: T217314: Support subpage syntax.

Lydia_Pintscher closed this task as Resolved.Mar 14 2019, 8:46 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 4 board.

\o/